public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/stunnel/
Date: Wed,  9 Jun 2021 23:56:13 +0000 (UTC)	[thread overview]
Message-ID: <1623282946.ed55662e3fb22e0221e19b692e31c921318e0f18.sam@gentoo> (raw)

commit:     ed55662e3fb22e0221e19b692e31c921318e0f18
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Jun  9 22:42:47 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Jun  9 23:55:46 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ed55662e

net-misc/stunnel: add 5.59

Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-misc/stunnel/Manifest            |   1 +
 net-misc/stunnel/stunnel-5.59.ebuild | 101 +++++++++++++++++++++++++++++++++++
 2 files changed, 102 insertions(+)

diff --git a/net-misc/stunnel/Manifest b/net-misc/stunnel/Manifest
index e879a2e6aed..2b47fe53b95 100644
--- a/net-misc/stunnel/Manifest
+++ b/net-misc/stunnel/Manifest
@@ -1 +1,2 @@
 DIST stunnel-5.58.tar.gz 988551 BLAKE2B 45ce3d43ff683fa1146ced00c6a2ef7c09a935da3dcd1a6529fa024e064c251798d96a1e45d4abf13195ca50fb7f1cf3ddc25c9e954a1cad8bb4745c4e35701d SHA512 6f62bf13bf53f174b2810ad6708a9dfdb70e9b4e2f60c0c9cf4df691169a63014901402ccbe2862010f4cee240c1a8eec34b70a7a3fcef36e7a2ca14a7f70ece
+DIST stunnel-5.59.tar.gz 995508 BLAKE2B 12dc07e5ef04dcc505d97cefeaee98284a1c85ca886f731bfe7af3a1ad5448e47ea1fc08ddddab3b6f79b71c8d91ec4f09c355397e6e1052384f77cbd1cf2a17 SHA512 c9f93ff6a09baef6d85e883cb469de495f5c006b9f0d3e018ade7a21bb3521e3db7982701c752d6b117ff2ad03a7f7299afd399c8956006af2eade52358ac1c7

diff --git a/net-misc/stunnel/stunnel-5.59.ebuild b/net-misc/stunnel/stunnel-5.59.ebuild
new file mode 100644
index 00000000000..40631323d41
--- /dev/null
+++ b/net-misc/stunnel/stunnel-5.59.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit ssl-cert systemd tmpfiles
+
+DESCRIPTION="TLS/SSL - Port Wrapper"
+HOMEPAGE="https://www.stunnel.org/index.html"
+SRC_URI="
+	https://www.stunnel.org/downloads/${P}.tar.gz
+	ftp://ftp.stunnel.org/stunnel/archive/${PV%%.*}.x/${P}.tar.gz
+	http://www.usenix.org.uk/mirrors/stunnel/archive/${PV%%.*}.x/${P}.tar.gz
+	http://ftp.nluug.nl/pub/networking/stunnel/archive/${PV%%.*}.x/${P}.tar.gz
+	http://www.namesdir.com/mirrors/stunnel/archive/${PV%%.*}.x/${P}.tar.gz
+	http://stunnel.cybermirror.org/archive/${PV%%.*}.x/${P}.tar.gz
+	http://mirrors.zerg.biz/stunnel/archive/${PV%%.*}.x/${P}.tar.gz
+	ftp://mirrors.go-parts.com/stunnel/archive/${PV%%.*}.x/${P}.tar.gz
+"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
+IUSE="ipv6 selinux stunnel3 tcpd"
+
+DEPEND="
+	dev-libs/openssl:0=
+	tcpd? ( sys-apps/tcp-wrappers )
+"
+
+RDEPEND="
+	acct-user/stunnel
+	acct-group/stunnel
+	${DEPEND}
+	selinux? ( sec-policy/selinux-stunnel )
+	stunnel3? ( dev-lang/perl )
+"
+
+RESTRICT="test"
+
+src_prepare() {
+	# Hack away generation of certificate
+	sed -i -e "s/^install-data-local:/do-not-run-this:/" \
+		tools/Makefile.in || die "sed failed"
+
+	echo "CONFIG_PROTECT=\"/etc/stunnel/stunnel.conf\"" > "${T}"/20stunnel
+
+	eapply_user
+}
+
+src_configure() {
+	local myeconfargs=(
+		--libdir="${EPREFIX}/usr/$(get_libdir)"
+		$(use_enable ipv6)
+		$(use_enable tcpd libwrap)
+		--with-ssl="${EPREFIX}"/usr
+		--disable-fips
+	)
+
+	econf "${myeconfargs[@]}"
+}
+
+src_install() {
+	emake DESTDIR="${D}" install
+	rm -rf "${ED}"/usr/share/doc/${PN}
+	rm -f "${ED}"/etc/stunnel/stunnel.conf-sample \
+		"${ED}"/usr/share/man/man8/stunnel.{fr,pl}.8
+	use stunnel3 || rm -f "${ED}"/usr/bin/stunnel3
+
+	# The binary was moved to /usr/bin with 4.21,
+	# symlink for backwards compatibility
+	dosym ../bin/stunnel /usr/sbin/stunnel
+
+	dodoc AUTHORS.md BUGS.md CREDITS.md PORTS.md README.md TODO.md
+	docinto html
+	dodoc doc/stunnel.html doc/en/VNC_StunnelHOWTO.html tools/ca.html \
+		tools/importCA.html
+
+	insinto /etc/stunnel
+	doins "${FILESDIR}"/stunnel.conf
+	newinitd "${FILESDIR}"/stunnel-r2 stunnel
+
+	doenvd "${T}"/20stunnel
+
+	systemd_dounit "${S}/tools/stunnel.service"
+	newtmpfiles "${FILESDIR}"/stunnel.tmpfiles.conf stunnel.conf
+}
+
+pkg_postinst() {
+	if [ ! -f "${EROOT}"/etc/stunnel/stunnel.key ]; then
+		install_cert /etc/stunnel/stunnel
+		chown stunnel:stunnel "${EROOT}"/etc/stunnel/stunnel.{crt,csr,key,pem}
+		chmod 0640 "${EROOT}"/etc/stunnel/stunnel.{crt,csr,key,pem}
+	fi
+
+	einfo "If you want to run multiple instances of stunnel, create a new config"
+	einfo "file ending with .conf in /etc/stunnel/. **Make sure** you change "
+	einfo "\'pid= \' with a unique filename.  For openrc make a symlink from the"
+	einfo "stunnel init script to \'stunnel.name\' and use that to start|stop"
+	einfo "your custom instance"
+}


             reply	other threads:[~2021-06-09 23:56 UTC|newest]

Thread overview: 145+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-06-09 23:56 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-01-18  8:06 [gentoo-commits] repo/gentoo:master commit in: net-misc/stunnel/ Florian Schmaus
2024-01-18  8:06 Florian Schmaus
2024-01-18  8:06 Florian Schmaus
2023-12-23 17:29 Sam James
2023-12-08  9:09 Arthur Zamarin
2023-12-08  9:09 Arthur Zamarin
2023-10-04 22:31 Sam James
2023-03-17 18:04 Arthur Zamarin
2023-03-17 17:00 Sam James
2023-03-17 17:00 Sam James
2023-03-17 16:42 Arthur Zamarin
2023-03-17 16:31 Arthur Zamarin
2023-03-17 16:14 Arthur Zamarin
2023-02-26 19:43 Arthur Zamarin
2023-02-24 16:59 Sam James
2023-02-24 16:58 Arthur Zamarin
2023-02-24 16:25 Arthur Zamarin
2023-02-24 16:25 Arthur Zamarin
2023-02-24 16:23 Arthur Zamarin
2023-02-07 23:06 Sam James
2022-11-13  1:23 Mike Gilbert
2022-11-13  1:23 Mike Gilbert
2022-11-13  1:23 Mike Gilbert
2022-07-22  7:49 Agostino Sarubbo
2022-07-22  7:47 Agostino Sarubbo
2022-07-22  7:47 Agostino Sarubbo
2022-07-22  7:46 Agostino Sarubbo
2022-07-22  7:44 Agostino Sarubbo
2022-07-22  7:43 Agostino Sarubbo
2022-07-21 14:25 Anthony G. Basile
2022-07-21 14:15 Anthony G. Basile
2022-05-14 11:41 Anthony G. Basile
2022-05-14 11:41 Anthony G. Basile
2022-01-19 18:05 Anthony G. Basile
2022-01-17  1:56 Anthony G. Basile
2021-09-30 18:18 Sam James
2021-09-25 23:46 Sam James
2021-09-25  5:18 Agostino Sarubbo
2021-09-24 15:37 Sam James
2021-09-24 15:37 Sam James
2021-09-24 15:37 Sam James
2021-09-24 11:21 Anthony G. Basile
2021-07-30 23:31 Sam James
2021-06-09 23:56 Sam James
2021-04-01 11:33 Anthony G. Basile
2021-03-30 22:05 Sam James
2021-03-30 22:05 Sam James
2021-03-30  6:52 Sergei Trofimovich
2021-03-30  1:17 Thomas Deutschmann
2021-03-29 14:50 Sam James
2021-03-29 11:50 Agostino Sarubbo
2021-03-07 11:58 David Seifert
2021-01-06 15:06 Fabian Groffen
2020-05-08  0:49 Anthony G. Basile
2019-12-17 15:16 Anthony G. Basile
2019-12-09  3:05 Matt Turner
2019-12-08 17:53 Anthony G. Basile
2019-12-02 10:53 Mikle Kolyada
2019-11-28 10:57 Agostino Sarubbo
2019-11-28 10:55 Agostino Sarubbo
2019-11-26 12:27 Agostino Sarubbo
2019-11-26  0:58 Thomas Deutschmann
2019-11-25  7:30 Sergei Trofimovich
2019-11-23 15:02 Anthony G. Basile
2019-06-17 13:33 Anthony G. Basile
2019-06-13  4:45 Markus Meier
2019-05-21 20:53 Anthony G. Basile
2019-05-13  0:38 Thomas Deutschmann
2019-05-07  8:46 Tobias Klausmann
2019-04-28  1:21 Anthony G. Basile
2019-04-12  7:06 Sergei Trofimovich
2019-04-09  2:58 Aaron Bauman
2019-04-08 22:07 Sergei Trofimovich
2019-04-07 15:25 Anthony G. Basile
2019-01-12 23:29 Sergei Trofimovich
2018-12-05 12:26 Anthony G. Basile
2018-09-05 20:05 Anthony G. Basile
2018-06-19 14:32 Tobias Klausmann
2018-05-31 14:28 Anthony G. Basile
2018-05-30 16:30 Markus Meier
2018-05-25 23:58 Thomas Deutschmann
2018-05-24 14:31 Agostino Sarubbo
2018-05-23 21:35 Anthony G. Basile
2017-11-27 16:29 Anthony G. Basile
2017-11-06 13:55 Anthony G. Basile
2017-02-19  0:03 Anthony G. Basile
2017-01-28 13:25 Anthony G. Basile
2017-01-10  6:55 Jeroen Roovers
2017-01-01 23:07 Anthony G. Basile
2016-12-21 21:34 Thomas Deutschmann
2016-12-17  6:13 Aaron Bauman
2016-11-29  8:35 Anthony G. Basile
2016-11-26 10:03 Markus Meier
2016-11-20 13:15 Anthony G. Basile
2016-11-15 14:53 Tobias Klausmann
2016-11-08 20:24 Anthony G. Basile
2016-10-09 16:19 Pacho Ramos
2016-09-23 21:07 Anthony G. Basile
2016-08-09 10:36 Anthony G. Basile
2016-07-18 17:16 Markus Meier
2016-07-16 13:34 Tobias Klausmann
2016-07-09  8:48 Jeroen Roovers
2016-07-08 11:02 Agostino Sarubbo
2016-07-08 10:02 Agostino Sarubbo
2016-07-08  7:53 Agostino Sarubbo
2016-07-06 15:30 Agostino Sarubbo
2016-07-06 15:30 Agostino Sarubbo
2016-07-06 14:36 Anthony G. Basile
2016-07-05 23:03 Anthony G. Basile
2016-05-30 17:37 Tobias Klausmann
2016-05-14 15:47 Anthony G. Basile
2016-05-14 15:26 Anthony G. Basile
2016-05-14 14:57 Anthony G. Basile
2016-05-03 23:56 Anthony G. Basile
2016-04-29  7:04 Jeroen Roovers
2016-04-21 15:46 Markus Meier
2016-04-09 13:46 Agostino Sarubbo
2016-04-03 16:02 Anthony G. Basile
2016-01-29  0:04 Anthony G. Basile
2016-01-29  0:04 Anthony G. Basile
2016-01-08 18:14 Anthony G. Basile
2015-12-11 12:58 Anthony G. Basile
2015-12-11 12:32 Anthony G. Basile
2015-12-03 23:33 Anthony G. Basile
2015-12-03 23:33 Anthony G. Basile
2015-11-23  9:25 Agostino Sarubbo
2015-11-21 14:21 Markus Meier
2015-11-09  3:57 Jeroen Roovers
2015-11-08  0:03 Anthony G. Basile
2015-11-08  0:03 Anthony G. Basile
2015-11-06  5:02 Jeroen Roovers
2015-11-05 11:20 Agostino Sarubbo
2015-11-04 15:17 Agostino Sarubbo
2015-11-03 16:18 Agostino Sarubbo
2015-11-03 15:19 Agostino Sarubbo
2015-11-02 16:33 Anthony G. Basile
2015-10-10 22:01 Anthony G. Basile
2015-10-10 21:56 Anthony G. Basile
2015-10-10 21:54 Anthony G. Basile
2015-10-09  0:51 Anthony G. Basile
2015-10-08 14:59 Anthony G. Basile
2015-10-08 14:56 Anthony G. Basile
2015-09-03  0:14 Anthony G. Basile
2015-08-18  5:30 Jeroen Roovers

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1623282946.ed55662e3fb22e0221e19b692e31c921318e0f18.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox